org.apache.tomcat.util.modeler

## Class ParameterInfo

- java.lang.Object
- - org.apache.tomcat.util.modeler.FeatureInfo
  - - org.apache.tomcat.util.modeler.ParameterInfo

All Implemented Interfaces:
  Serializable

    public class ParameterInfo
    extends FeatureInfo

Internal configuration information for a `Parameter` descriptor.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.tomcat.util.modeler.FeatureInfo

`description, info, name, type`

### Constructor Summary

Constructors
Constructor and Description
`ParameterInfo()` Standard zero-arguments constructor.

### Method Summary

Methods
`MBeanParameterInfo` `createParameterInfo()` Create and return a `MBeanParameterInfo` object that corresponds to the parameter described by this instance.

### Methods inherited from class org.apache.tomcat.util.modeler.FeatureInfo

`getDescription, getName, getType, setDescription, setName, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterInfo

    public ParameterInfo()

Standard zero-arguments constructor.

### Method Detail

#### createParameterInfo

    public MBeanParameterInfo createParameterInfo()

Create and return a `MBeanParameterInfo` object that corresponds to the parameter described by this instance.